Subject: bug#36649: 27.0.50; pure space and pdumper

From: Po Lu <[email-masked]>
Date: Sun, 03 Jul 2022 17:38:14 +0800

Gerd Möllmann <[email-masked]> writes:

> I understand.  I think I know the 3-color algorithm.  Details don't
> matter that much.

Thanks.

> I can send you a C file if you want (also everyone else who wants it).
> Stefan already has it.  I sent it around in 2001 or so, in the hope
> that it might be of some use in the future.
>
> The C file even has some large explanatory comments, albeit I have to
> admit I wrote them years after the code, for sending it out.

Sure, that would be useful.  You're not the only person who has tried to
rewrite the garbage collector: Daniel Colascione recently took a stab at
a similar garbage collector too.